anime site reference
https://ebb.io
https://myself-bbs.com/portal.php
https://mikanani.me
https://www.bilibili.com/
https://waifulabs.com/
https://anime1.cc/
https://waifu.im/docs/


ERD
https://app.moqups.com/JDdaeWFzNQxJMJDhlI5OGWUQQo4OykCW/view/page/aa458c046

UI graph
https://www.figma.com/file/9Dk6N56gGsyZn01VpLVXOJ/content-page?node-id=0%3A1

winston logging level

const levels = { 
  error: 0,
  warn: 1,
  info: 2,
  http: 3,
  verbose: 4,
  debug: 5,
  silly: 6
};

https://www.npmjs.com/package/winston#logging

trace.moe
search by image
https://soruly.github.io/trace.moe-api/#/

text editor API
https://quilljs.com

video player js
https://www.npmjs.com/package/video.js?activeTab=readme

danmaku js
https://github.com/weizhenye/Danmaku